<?php

namespace CreoCode\ContaoColumns\Helper;

/**
 * Class Helper provides helper methods
 */
class Helper
{

	/**
	 * create a MCW row for each column
	 *
	 * @param string $value deseriazable value, for getting an array
	 * @param $mcw multi column wizard or DC_Table
	 * @return mixed
	 */
	public static function getRootPageByContentId($contentId)
	{
        $Database = \Contao\Database::getInstance();
        $objParentPage = $Database->prepare("SELECT p.id,p.pid FROM tl_page p JOIN tl_article a ON a.pid=p.id JOIN tl_content c ON c.pid=a.id WHERE c.id=?")
                    ->execute($contentId);

        // if the content is not in an article, we can't get the root page
        if($objParentPage->numRows < 1) {
            return 0;
        }
        
        $objRootPage = self::getRootParentPage($objParentPage->pid);
		return $objRootPage;
	}

    public static function getRootParentPage($intId, $counter=0, $max=10) {
        $Database = \Contao\Database::getInstance();
        $objParentPage = $Database->prepare("SELECT id,pid,type,column_framework,column_breakpoints FROM tl_page WHERE id=?")
                    ->execute($intId);

        // set a max counter to prevent endless loops
        if($counter > $max) {
            return 0;
        }
        $counter++;
    
        if($objParentPage->type == 'root') {
            return $objParentPage;
        } else {
            return self::getRootParentPage($objParentPage->pid, $counter, $max);
        }
        return 0;
    }

}
