<?php

// use Contao\ListWizard;
// use Contao\TableWizard;

/**
 * Backend module
 */
$GLOBALS['BE_MOD']['content']['article_columns'] = array
(
    'tables'                => array('tl_article', 'tl_content'),
    'hideInNavigation'      => true,
);



/**
 * Content Elements
 */
$GLOBALS['TL_CTE']['extendedcolset'] = array(
	'colsStart' => 'CreoCode\ContaoColumns\Component\ContentElement\ColsStart',
	'colsPart' => 'CreoCode\ContaoColumns\Component\ContentElement\ColsPart',
	'colsEnd' => 'CreoCode\ContaoColumns\Component\ContentElement\ColsEnd'
);

/**
 * Form Fields
 */
$GLOBALS['TL_FFL']['formColsStart'] = 'CreoCode\ContaoColumns\Component\FormField\FormColsStart';
$GLOBALS['TL_FFL']['formColsPart'] = 'CreoCode\ContaoColumns\Component\FormField\FormColsPart';
$GLOBALS['TL_FFL']['formColsEnd'] = 'CreoCode\ContaoColumns\Component\FormField\FormColsEnd';

/**
 * Hooks
 */
$GLOBALS['TL_HOOKS']['parseBackendTemplate'][] = array('CreoCode\ContaoColumns\Classes\ColumnHooks', 'parseBackendTemplate');
$GLOBALS['TL_HOOKS']['loadDataContainer'][] = array('CreoCode\ContaoColumns\Classes\ColumnHooks', 'addColumnIcon');
$GLOBALS['TL_HOOKS']['clipboardCopy'][] = array('CreoCode\ContaoColumns\Listener\ComponentListener', 'clipboardCopy');
$GLOBALS['TL_HOOKS']['clipboardCopyAll'][] = array('CreoCode\ContaoColumns\Listener\ComponentListener', 'clipboardCopyAll');

$GLOBALS['TL_HOOKS']['generatePage'][] = array('CreoCode\ContaoColumns\Listener\ComponentListener','generatePage');

/**
 * Wrapper Elements
 */
$GLOBALS['TL_WRAPPERS']['start'][] = 'colsStart';
$GLOBALS['TL_WRAPPERS']['separator'][] = 'colsPart';
$GLOBALS['TL_WRAPPERS']['stop'][] = 'colsEnd';

/**
 * Warpper Elements / Form
 */
$GLOBALS['TL_WRAPPERS']['start'][] = 'formColsStart';
$GLOBALS['TL_WRAPPERS']['separator'][] = 'formColsPart';
$GLOBALS['TL_WRAPPERS']['stop'][] = 'formColsEnd';

/**
 * Frameworks
 **/
$GLOBALS['TL_COLUMN_FRAMEWORKS'] = array(
    'flexbox' => array(
        'label' => 'Custom Flexbox',
        'scss' => 'bundles/contaocolumns/css/flexbox/flexbox.scss',
        'scclass' => '',
        'inside' => true,
        'gap' => true
    )
);

$GLOBALS['TL_COLUMN_BREAKPOINTS'] = array(
    'flexbox' => array(
        'label' => 'Custom Flexbox Breakpoints',
        'breakpoints' => [
            'xs' => '0px',
            'sm' => '481px',
            'md' => '768px',
            'lg' => '1025px',
            'xl' => '1281px'
        ]
    )
);


$GLOBALS['TL_PURGE']['custom']['contao_column'] = array(
	'callback' => array('CreoCode\\ContaoColumns\\Listener\\ComponentListener', 'purgeCache'),
);

// css & js
if (TL_MODE == 'FE') {
    $GLOBALS['TL_CSS'][] = 'bundles/contaocolumns/css/cache/flexbox.css|static';
}

if (TL_MODE == 'BE') {
    //$GLOBALS['TL_CSS'][] = 'bundles/contaocolumns/css/flexbox/flexbox.scss|static';
    $GLOBALS['TL_CSS'][] = 'bundles/contaocolumns/css/backend-global.css|static';
    //$GLOBALS['TL_JAVASCRIPT'][] = 'bundles/contaocolumns/js/backend.js|async';
}
